Bug 354361 - genhomedircon not processing HOME_DIR when context <<none>>
genhomedircon not processing HOME_DIR when context <<none>>
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: policycoreutils (Show other bugs)
5.1
All Linux
low Severity high
: rc
: ---
Assigned To: Daniel Walsh
Ben Levenson
: TestBlocker
Depends On: 475644
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-26 12:05 EDT by Ted X Toth
Modified: 2010-02-03 10:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:47:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (519 bytes, patch)
2007-10-26 12:05 EDT, Ted X Toth
no flags Details | Diff

  None (edit)
Description Ted X Toth 2007-10-26 12:05:31 EDT
Description of problem:
HOME_DIR used with context <<none>> processed incorretly by genhomedircon

Version-Release number of selected component (if applicable):


How reproducible:
Add HOME_DIR/<some home dir file or directory> <<none>> to fc file. Build and
install policy. Look at /etc/selinux/<policy
type>/contexts/files/file_contexts.homedir to see that specified file or
directory isn't present.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ted X Toth 2007-10-26 12:05:31 EDT
Created attachment 239271 [details]
patch
Comment 2 Daniel Walsh 2008-09-17 14:40:56 EDT
Fixed in policycoreutils-1.33.12-14.1
Comment 3 RHEL Product and Program Management 2008-09-17 14:50:30 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 13 Daniel Walsh 2009-04-09 13:10:44 EDT
Fixed in policycoreutils-1.33.12-14.4.el5.src.rpm
Comment 20 errata-xmlrpc 2009-09-02 05:47:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1292.html

Note You need to log in before you can comment on or make changes to this bug.